Users

This endpoint is used to get all users in a paged form with filters.

Response Payload Object

The response's payload will contain an array of objects containing the following values.

PropertyTypeDescription
emailstringThe email of that user.
firstNamestringThe first name of that user.
fullNamestringThe combined first and last name of that user.
idGuidThe Guid Id of that user.
lastNamestringThe last name of that user.
localeISO2stringThe language of the user.
mobileCredentialNullable GuidThe credential used when a user tries to get access using their mobile device.
phoneNumberstringThe phone number of that user
hasEnrolledFacebooleanWhether or not that user has a face enrolled.
createdAtDateTimeThe creation date and time of that user.
🚧

Any fields returned in the response's payload that are not listed here are "empty" fields that should be ignored as they will always be the same value or will not be filled in.

📘

Note that if an error was found, then the payload will be null, however if no values were found and no error occurred, then an empty list will be returned instead.

Any status codes returned that are not provided here are generic status codes that can be found here.

Query Params
boolean

Whether or not to use the combined search. If this value is not passed, it will default to false.

string

Used to filter results wherever the value matches any user's first name, last name, or email.

string

Used to filter results wherever the value matches any user's email.

string

Used to filter results wherever the value matches any user's first name.

string

Used to filter results wherever the value matches any user's last name.

string

Used to order the results by either firstname, lastname, or email. The values should be passed in as written here.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain